--- title: "Facial Comparison" url: https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/identity-scanner/facial-comparison/ description: "This API enables you to compare two faces in two different images to determine if they are the same individual." last_updated: 2026-08-28T06:26:16Z service: Zia Services type: api --- # Identity Scanner [Identity Scanner](https://docs.catalyst.zoho.com/en/zia-services/help/identity-scanner/introduction/) is a Zia AI-driven component that enables you to perform secure identity checks on individuals and documents by scanning and processing various ID proofs or official documents. It is a comprehensive suite that incorporates multiple functionalities divided into two major categories- E-KYC and Document Processing. > **Note:** Catalyst does not store any of the files you upload in its systems. The documents you upload are used for one-time processing only. They are not used for ML model training purposes either. Catalyst components are fully compliant with all applicable data protection and privacy laws. # Facial Comparison [Facial Comparison](https://docs.catalyst.zoho.com/en/zia-services/help/identity-scanner/key-concepts/#e-kyc), also known as E-KYC, is a part of Identity Scanner that compares two faces in two different images to determine if they are the same individual. > **Note:** While the Document Processing feature of Identity Scanner is only relevant to Indian users, the Facial Comparison API and SDK tools are available to a global audience. However, accessing and testing Facial Comparison or E-KYC from the Catalyst console is restricted to the users from IN DC alone. ## Process Facial Comparison ### Description This API enables you to perform a face comparison between a source image and a query image. You must specify the paths to both the image files in the API request, as shown in the sample request. > **Note:** You can mark either the ID proof image or the individual's photograph as the source or the query image. This will not affect the results. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/ml/facecomparison - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.mlkit.READ #### Request JSON Properties - **source_image** (file, mandatory): The photo ID or an individual's photograph. You must provide the path to it in your local system. Allowed formats: *.webp, .jpeg, .png* File size limit: 10 MB - **query_image** (file, mandatory): The photo ID or an individual's photograph. You must provide the path to it in your local system. Allowed formats: *.webp, .jpeg, .png* File size limit: 10 MB ### Response Details The response returns the result of comparison as `true` if the faces match, or `false` if they don't match. The response also contains a confidence score between the range of 0 to 1. Only if the comparison yields a confidence score of above 50% i.e., 0.5, the result will be set to `true`. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/facecomparison \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW" \ -F source_image=/Desktop/SourceImage.webp \ -F query_image=/Desktop/QueryImage.webp ``` **Sample Response** ```json { "status": "success", "data": { "confidence": 1.0, "matched": "true" } } ``` ### SDK Documentation [Facial Comparison- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/zia-services/identity-scanner/facial-comparison) [Facial Comparison- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/zia-services/identity-scanner/facial-comparison) [Facial Comparison- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/zia-services/identity-scanner/facial-comparison)